fop 2.3

## org.apache.fop.render.intermediate
Interface BezierCurvePainter

All Known Implementing Classes:
  PDFGraphicsPainter, PSGraphicsPainter

    public interface BezierCurvePainter

Method Summary
`void` `cubicBezierTo(int p1x, int p1y, int p2x, int p2y, int p3x, int p3y)` Draw a cubic bezier from current position to (p3x, p3y) using the control points (p1x, p1y) and (p2x, p2y)

Method Detail

### cubicBezierTo

    void cubicBezierTo(int p1x,
                       int p1y,
                       int p2x,
                       int p2y,
                       int p3x,
                       int p3y)
                       throws java.io.IOException

  Draw a cubic bezier from current position to (p3x, p3y) using the control points (p1x, p1y) and (p2x, p2y)

  Parameters:
    `p1x` - x coordinate of the first control point
    `p1y` - y coordinate of the first control point
    `p2x` - x coordinate of the second control point
    `p2y` - y coordinate of the second control point
    `p3x` - x coordinate of the end point
    `p3y` - y coordinate of the end point
  Throws:
    `java.io.IOException` - if an I/O error occurs

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.